AMPS C/C++ Client Class Reference AMPS C/C++ Client Version 5.3.5.7

amps Directory Reference

## Files
file | amps.h [code]
| Core type and function declarations for the AMPS C client.
file | ampsplusplus.hpp [code]
| Core type, function, and class declarations for the AMPS C++ client.
file | BlockPublishStore.hpp [code]
| Provides AMPS::BlockPublishStore, a concrete implementation of a store that breaks the allocated storage into blocks.
file | BlockStore.hpp [code]
| Provides AMPS::BlockStore, a class for storing Blocks of a fixed size into a Buffer implementation.
file | Buffer.hpp [code]
| Provides AMPS::Buffer, an abstract base class used by the store implementations in the AMPS client.
file | DefaultServerChooser.hpp [code]
| Provides AMPS::DefaultServerChooser, a simple server chooser that implements basic round-robin failover.
file | Field.hpp [code]
| Defines the AMPS::Field class, which represents the value of a field in a message.
file | HAClient.hpp [code]
| Defines AMPS::HAClient, a client that can provide failover, durable publication, and resumable subscriptions.
file | HybridPublishStore.hpp [code]
| Provides AMPS::HybridPublishStore, a publish store that uses memory up to a specified maximum capacity then writes to a file if the store will exceed that capacity.
file | LoggedBookmarkStore.hpp [code]
| Provides AMPS::LoggedBookmarkStore, a bookmark store that uses a file to track received messages.
file | MemoryBookmarkStore.hpp [code]
| Provides AMPS::MemoryBookmarkStore, a bookmark store that holds bookmarks in memory.
file | MemoryPublishStore.hpp [code]
| Provides AMPS::MemoryPublishStore, a publish store that holds messages in memory.
file | MemoryStoreBuffer.hpp [code]
| Provides AMPS::MemoryStoreBuffer, used by an AMPS::HAClient to store messages in memory.
file | MemorySubscriptionManager.hpp [code]
| Provides AMPS::MemorySubscriptionManager, used by an AMPS::HAClient to resubmit subscriptions if connectivity is lost while the application is running.
file | Message.hpp [code]
| Defines the AMPS::Message class and related classes.
file | MMapBookmarkStore.hpp [code]
| Provides AMPS::MMapBookmarkStore, a bookmark store that uses a memory mapped file to provide efficient message tracking that persists across application restarts.
file | MMapStoreBuffer.hpp [code]
| Provides AMPS::MMapStoreBuffer, an AMPS::Buffer implementation used by the AMPS::MMapBookmarkStore.
file | PublishStore.hpp [code]
| Provides AMPS::PublishStore, a publish store that uses memory-mapped files to provide a publish store that persists across application restarts.
file | ReconnectDelayStrategy.hpp [code]
| Provides AMPS::ReconnectDelayStrategy, called by an AMPS::HAClient to determine how long to wait between attempts to connect or reconnect to a server.
file | RecoveryPoint.hpp [code]
| Provides AMPS::RecoveryPoint, AMPS::RecoveryPointFactory, AMPS::FixedRecoveryPoint, and AMPS::DynamicRecoveryPoint.
file | RecoveryPointAdapter.hpp [code]
| Provides AMPS::RecoveryPointAdapter, an iterface for implementing external storage of bookmark subscription recovery data and for recovering from that external storage.
file | RingBookmarkStore.hpp [code]
| Provides AMPS::RingBookmarkStore, a bookmark store that stores only the MOST_RECENT bookmark to a file and keeps any bookmarks later than the most recent in memory.
file | ServerChooser.hpp [code]
| Provides AMPS::ServerChooser, the abstract base class that defines the interface that an AMPS::HAClient uses for determining which server to connect to.